// **********************************
// Please don't remove the copyright note
// Alawi Hussain Ba3qeel © http://www.rayaheen.net
// edited completly by Saanina@gmail.com [messenger:we0ew@hotmail.com]  
// exlusive for phpbbarabia.com ....
// تم تطوير هذا الملف  بواسطة عبدالرحمن محمد لهاك الصندوق الذهبي الثاني كاملاً الآ متوافق مع فايرفوكس
// **********************************

// لون الأحرف في لوحة المفاتيح
var keyboardTextColor = "maroon";
var toolbox_style = "ridge"; //(none,solid,groove,ridge,outset,inset,double)
var toolbox_bordercolor = "#eeeeee";
// لون خلفية الصندوق
var btn_style = "outset"; //(none,solid,groove,ridge,outset,inset,double)
// لو البرواز حول كل ايقونة
var btn_bordercolor = "#ffffff";
// لون البرواز حول كل ايقونة عند مرور الماوس
var btn_bordercolor_over = "#000000";
// لون البرواز عند الضغط على الايقونة
var btn_bordercolor_down = "#FFFFFF";
// خلفية الايقونة
var btn_backcolor = "transparent";
// خلفية الايقونة عند مرور الماوس
var btn_backcolor_over = "#FFFFFF";
// خلفية الايقونة عند الضغط عليها
var btn_backcolor_down = "transparent";

var oSelect = false;
//updated for rc2
//updated for rc3 ;)
var urldd = window.location.href;
var urlddd = urldd.split("/");
var scount = urlddd.length;

if( scount == -1 )
{
document.write("هناك مشكله في رابط الصفحه .. بعض الخصائص لن تعمل.. !.");
}
else if ( scount == 4  )
{
var siteurl = urldd.split("/")[2];
}
else if (  scount == 5 )
{
var siteurl = urldd.split("/")[2] + "/" + urldd.split("/")[3];
}
else if (  scount == 6 )
{
var siteurl = urldd.split("/")[2] + "/" + urldd.split("/")[3]+ "/" + urldd.split("/")[4];
}

// Check for Browser & Platform for PC & IE specific bits
// More details from: http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html
var clientPC = navigator.userAgent.toLowerCase(); // Get client info
var clientVer = parseInt(navigator.appVersion); // Get browser version

var is_ie = ((clientPC.indexOf('msie') != -1) && (clientPC.indexOf('opera') == -1));
var is_win = ((clientPC.indexOf('win') != -1) || (clientPC.indexOf('16bit') != -1));



function showButtons(i) {
        if (!i) i = 0;
        var buttons_per_row, buttons;
        if (i == 0) {
buttons_per_row = 33;
buttons = new Array(
    "b|عريض",
    "i|مائل",
    "u|خط سفلي",
    "s|نص مشطوب",
    "space|",
    "right|محاذاة إلى اليمين",
    "center|توسيط",
    "left|محاذة إلى اليسار",
    "justify|محاذاة إلى الأطراف",
	"space|",
    "rtl|الإتجاه من اليمين إلى اليسار",
    "ltr|الاتجاه من اليسار إلى اليمين",
	"space|",
    "undo|للتراجع = CTRL+Z",
    "redo|للإعادة = CTRL+Y",
	 "space|",
    "delete|إزالة",
    "cut|قص",
    "copy|نسخ",
    "paste|لصق",
	"select|تحديد الكل",
	"space|",
    "keyb|إظهار لوحة المفاتيح العربية",
    "plain|الغاء التنسيق",
	"time|إدراج الوقت الحالي",
	"date|إدراج التاريخ الحالي",
	"space|",
    "za5arf|صانع الزخارف",
    "ascii|صانع الكلمات المركبه آسكي",
	"chars|رموز خاصه♥",
	"picsh|إختصارات صوريه",
	"space|",
    "syahoo|إبتسامات yahoo",
    "smsn|إبتسامات msn",
	"space|",
    "color|لون النص",
    "colorpicker|اختيار كود اللون",
    "light|تظليل النص",
	 "space|",
    "glow|نص مشع",
    "blink|وميض",
    "wave|تموج",
    "glint|بريق",
	"shadow|ظل ثابت",
	"blur|نص مشوش",
    "gradient|ألوان متدرجة",
	"rainbow|ألوان الطيف متحركه",
	 "space|",
	 "alpha_filter|تأثير ألفا على النصوص والصور",
	 "wave_filter|تأثير ويف على النصوص والصور",
	 "xray|تأثير أشعة أكس",
	 "invert|تأثير invert لقلب اللون",
	 "gray|تأثير أبيض أسود",
	 "space|",
	 "sub|نص سفلي",
	 "sup|نص علوي",
	 "inverseH|نص مقلوب أفقي",
	 "inverseP|نص مقلوب عمودياً",
	 "nolinked|نص غير متشابك",
	 "mouseover|إظهار نافذه تحوي نص عند الوقوف على النص",
	 "spoiler|نص مخفي يظهر بمجرد الظغط على إظهار",	 
	 "hiddenspoiler|نص مخفي يظهر بمجرد الظغط على نص تضعه",	 	 
	 "space|",
    "link|رابط",
    "email|بريد الكتروني",
    "image|صورة",
	"bigimg|صور كبيره جداً",
	"zoom|زووم للصوره",
	"space|",
	"google|نص مربوط بالبحث قوقل",
	"ayna|نص مربوط بالبحث بمحرك أينَ",
	"araby|نص مربوط بالبحث بمحرك عربي",
	"wikipedia|نص مربوط بوصله لويكيبيديا العربيه",
	"space|",
    "quote|اقتباس",
    "quote2|اقتباس بإسم",
    "code|كود",
    "code_php|كود php",
	"english|نص إنجليزي",
	"space|",
	"list|قائمه",
	"space|",
    "rplayer|تشغيل ملف رييل بلاير (rm,ra,ram,...)",
    "media|تشغيل ملفات الصوت والصورة (mp3,wav,au,wma,mpg,mpeg,wmv,avi,...)",
    "flash|تشغيل ملف فلاش (swf)",
    "gvideo|تضمين فيديو من قوقل",	
    "youtube|تضمين فيديو من يوتيوب",	
	 "space|",
    "background|ضع خلفيه للنص",
    "frame|إنشاء إطار",
	 "space|",
    "mleft|تحريك إلى اليسار",
    "mright|تحريك إلى اليمين",
    "mup|تحريك إلى الأعلى",
    "mdown|تحريك إلى الأسفل",
	"space|",
	"about|حول الصندوق الذهبي2"
	
	);
	
addButtons(buttons, buttons_per_row, 0,0,0);

} else {       
/*خاص بأي هاك للرد السريع ... */
buttons_per_row = 9;
buttons = new Array(
	"keyb|إظهار لوحة المفاتيح العربية",
	"plain|الغاء التنسيق",
	"b|داكن",
	"i|مائل",
	"u|خط سفلي",
	"s|نص مشطوب",
	"left|إلى اليسار",
	"center|توسيط",
	"right|إلى اليمين",
	"color|لون النص",
	"link|رابط",
	"email|بريد الكتروني",
	"image|صورة",
	"bigimg|صور كبيره جداً",
	"quote|اقتباس",
	"quote2|اقتباس بإسم",
	"code|كود",
	"code_php|كود php"
			);
	addButtons(buttons, buttons_per_row, 0,0,0);
        }
}


function button_over(eButton, sb) {
        window.status = sb;
        doButton(btn_backcolor_over, btn_bordercolor_over, eButton);
		
}

function button_out(eButton) {
        window.status = "";
        doButton(btn_backcolor, btn_bordercolor, eButton);
}

function button_down(eButton) {
        doButton(btn_backcolor_down, btn_bordercolor_down, eButton);
}

function button_up(eButton) {
        doButton(btn_backcolor_over, btn_bordercolor_over, eButton);
        eButton = null;
}

function doButton(bk, br, btn) {
        btn.style.borderColor = br;
        btn.style.backgroundColor = bk;
}

function addButtons(buttons, cols, keyb, syahoo, smsn) {
        var toolboxStyle = "border: 0 " + toolbox_style + " " + toolbox_bordercolor;
        var btnStyle = "background-color:" + btn_backcolor + "; border: 0 " + btn_style + " " + btn_bordercolor;
        var k = 0, t, bn, events, value, dr, id, display;
        
		if (keyb) {
                dr = 'align="center" dir="rtl"';
                id = 'id="keyboardTable"';
                display = "display:none";
				var back_ok = "none";
        }
		//----------------------------------
        else if (syahoo)
		{
		        dr = 'align="center"';
                id = 'id="yahooTable"';
                display = "display:none";
				var back_ok = "none";
		}
		//-------------------
		//----------------------------------
        else if (smsn)
		{
		        dr = 'align="center"';
                id = 'id="msnTable"';
                display = "display:none";
				var back_ok = "none";
		}
		//-------------------
		else
		{
                dr = 'align="center"';
                id = "";
                display = "";
				var back_ok = background_s;
        }
        document.write('<table ' + id + ' border="0" width="100%" cellpadding="1" cellspacing="1" style="' + toolboxStyle + ';' + display + ';background-image: url(images/'+ back_ok +'); background-repeat: repeat-x; margin: 0px auto;" ><tr><td align="center" style="white-space: nowrap;">');
        for (var i = 0; i < buttons.length; i++) {
                if (i % cols == 0) {
                        document.write('<div ' + dr +'><table cellpadding="1" cellspacing="1"><tr>');
                }
                k = 0;
                if (buttons[i] == "") {
                        t = '<td><div class="cbtn" style="cursor:default;font-size:1pt;"> </div>';
                } else {
                        if (keyb)
                                value = "key_" + buttons[i];
						//-------------------------
                        else if(syahoo)
						    	value = "smiley_" + buttons[i];
						//------------------------
						//-------------------------
                        else if(smsn)
						    	value = "smilem_" + buttons[i];
						//------------------------
						else
                                value = "bbbb";
                        events = 'onclick="execTool(\'' + value + '\')" onmouseover="button_over(this,\'aaaa\')" onmouseout="button_out(this)" onmousedown="button_down(this)" onmouseup="button_up(this)"';
                        t = '<td><div align="center" class="cbtn" style="' + btnStyle + '" ' + events +'>';
                        if (keyb)
                                t += '&nbsp;<font face="arial" size="3" color="' + keyboardTextColor + '"><b>' + buttons[i] + '</b></font>&nbsp;';
					//--------------------------
						else if (syahoo)
						        t += '<img src="images/goldboxsmiles/yahoo/'+buttons[i]+'.gif" border="0">';
					//----------------------------
					//--------------------------
						else if (smsn)
						        t += '<img src="images/goldboxsmiles/msn/'+buttons[i]+'.gif" border="0">';
					//----------------------------
						else
                                t += '<img align=absmiddle src="images/toolbox/bbbb.gif" alt="aaaa">';
                }
                t += '</div></td>';
                bn = buttons[i] + "|";
                bn = bn.split("|");
                t = t.replace(/bbbb/gi, bn[0]);
                t = t.replace(/aaaa/gi, bn[1]);
                document.write(t);
                if ((i + 1) % cols == 0) {
                document.write('</tr></table></div>');
                k = 1;
                }
        }
        if (k == 0) 
		document.write('</tr></table></div>');
        document.write('</td></tr></table>');
}

function showKeyboard() {
        var buttons = new Array("ا","ب","ت","ث","ج","ح","خ","د","ذ","ر","ز","س","ش","ص","ض","ط","ظ","ع","غ","ف","ق","ك","ل","م","ن","هـ","و","ي","ة","أ","إ","آ","ء","ؤ","ئ","ى","لا","لإ","لآ","ـ","،","؛","؟","[","]","{","}","(",")"," ");
        addButtons(buttons, 25, 1,0,0);
}
function show_yahoo_smiles() {
		var yahoos = 58;
        var buttons = new Array;
		       for (var i=0; i<yahoos; i++) { buttons[i] =  i; }
				addButtons(buttons, 30, 0,1,0);
}
function show_msn_smiles() {
		var msns = 69;
        var buttons = new Array;
		       for (var i=0; i<msns; i++) { buttons[i] =  i; }
				addButtons(buttons, 35, 0,0,1);
}


function execTool(btn) {
 EditorFunctions(btn);
}

function Editor_getSelText() {
	var doc, newRange;

	if( document.forms[form_name])
	{
		doc = document;
	}
	else 
	{
		doc = opener.document;
	}
	
	var txtarea = doc.forms[form_name].elements[text_name];
	var scrollTop = txtarea.scrollTop;
	

	//IE ...
	if (document.selection) {
	newRange = doc.selection.createRange().text;
	}
	else{
	var selLength = txtarea.textLength;
	var selStart = txtarea.selectionStart;
	var selEnd = txtarea.selectionEnd;
	if (selEnd==1 || selEnd==2) selEnd=selLength;
	newRange =  (txtarea.value).substring(selStart, selEnd);
	}
	
txtarea.focus();
return newRange;
}

var newwindow;
function pop(url, name, vars)
{
	newwindow=window.open(url,name,vars);
	if (window.focus) {newwindow.focus()}
}

function mozWrap(txtarea, lft, rgt) {
	var selLength = txtarea.textLength;
	var selStart = txtarea.selectionStart;
	var selEnd = txtarea.selectionEnd;
	if (selEnd==1 || selEnd==2) selEnd=selLength;
	var s1 = (txtarea.value).substring(0,selStart);
	var s2 = (txtarea.value).substring(selStart, selEnd)
	var s3 = (txtarea.value).substring(selEnd, selLength);
	txtarea.value = s1 + lft + s2 + rgt + s3;
}

function mozReplace(txtarea, newText) {
	var selLength = txtarea.textLength;
	var selStart = txtarea.selectionStart;
	var selEnd = txtarea.selectionEnd;
	if (selEnd==1 || selEnd==2) selEnd=selLength;
	var s1 = (txtarea.value).substring(0,selStart);
	var s2 = (txtarea.value).substring(selStart, selEnd)
	var s3 = (txtarea.value).substring(selEnd, selLength);
	txtarea.value = s1 + newText + s3;
}

//ok firefox
function Editor_addCode(tag1,tag2, empty) {
  var oSelText = Editor_getSelText();
  var theField = document.forms[form_name].elements[text_name];
  var scrollTop = theField.scrollTop;

  
	if (empty == 1)
	{	
			if (oSelText == '' || typeof oSelText == 'undefined' || oSelText == null)
			{
			alert("يرجى تظليل النص أولا");
			return false;
			}
	}
	if ((clientVer >= 4) && is_ie && is_win)
	{
		document.selection.createRange().text  = tag1 + oSelText  + tag2;
		if(scrollTop>-1) {theField.scrollTop = scrollTop;}
		theField.focus();
		oSelText = '';
		return;
   }else{	
		mozWrap(theField, tag1, tag2 );
		if(scrollTop>-1) {theField.scrollTop = scrollTop;}
		theField.focus();
		oSelText = '';
		return;
   }
   
}

  function aaa(tag1) {
  var oSelText = Editor_getSelText();
  var theField = document.forms[form_name].elements[text_name];
  var scrollTop = theField.scrollTop;


  	if ((clientVer >= 4) && is_ie && is_win)
	{
		document.selection.createRange().text  = tag1 + oSelText;
		if(scrollTop>-1) {
		theField.scrollTop = scrollTop;
		}
		theField.focus();
		oSelText = '';
	
	}
	else
	{
  		mozWrap(theField, tag1, '' );
		if(scrollTop>-1) {
		theField.scrollTop = scrollTop;
		}
		theField.focus();
		oSelText = '';
	}

}

	function EditorFunctions(tag) {

  if (tag.substr(0, 4) == "key_") {  // Arabic Keyboard
        var oSelText = Editor_getSelText();
        tag = tag.substr(4);
        if (tag == "هـ") tag = "ه";
        aaa(tag);
  }
  else if (tag.substr(0, 7) == "smiley_") {  
        var oSelText = Editor_getSelText();
        tag = tag.substr(7);
        aaa("[img]http://" + siteurl + "/images/goldboxsmiles/yahoo/" + tag + ".gif[/img]");
  }
    else if (tag.substr(0, 7) == "smilem_") {  
        var oSelText = Editor_getSelText();
        tag = tag.substr(7);
        aaa("[img]http://" + siteurl + "/images/goldboxsmiles/msn/" + tag + ".gif[/img]");
	}
	else if (tag=="za5arf") {
	return pop("Goldbox/form/za5arf.htm", 'za5arf',
                "width=560px, height=220px, location=1, status=1, scrollbars=0");
	}
	else if (tag == "rtl" || tag == "ltr") {
    document.forms[form_name].elements[text_name].dir=tag.substr(tag);
	}
	else if (tag == "select") {
    document.forms[form_name].elements[text_name].select();
	}
	else if (tag == "gradient") {
	var oSelText = Editor_getSelText();
    if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
	return pop("Goldbox/form/grad.htm", 'gradient_form',
                "width=420px, height=200px, location=1, status=1, scrollbars=0");
	} 
	else if (tag == "rainbow") {
     var oSelText = Editor_getSelText();
	//hue # For more details open MYCODES.JS....
	 var hue = window.prompt("أدخل الدرجه اللونيه للبدء بها .. عباره عن رقم من0-359\n فمثلا 0 يعني الأحمر و60 يعني الأصفر و120 الأخضر و240 الأزرق وهلم ","0");
		if (!hue){return}; /* for num*/ if (isNaN(hue)){alert("يجب أتدخل رقماً!!"); return}; /* for more than 359*/  if (hue>359){alert("الرقم الذي أدخلته أكبر من 359!!"); return}
	//deg # For more details open MYCODES.JS....
	var deg = window.prompt("كم مره ستظهر الدرجات اللونيه من البدايه للنهايه\n مثلا 360 سوف يظهر مره و720 مرتان وهكذا ","360");
		if (!deg){return}; /* for num*/ if (isNaN(deg)){alert("يجب أتدخل رقماً!!"); return}; 
	//brt # For more details open MYCODES.JS....
	var brt = window.prompt("درجة السطوع إختر رقماً من 0-255\n مثلاً عند 0 يكون أسود و255 سكون كامل الألوان","255");
		if (!brt){return}; /* for num*/ if (isNaN(brt)){alert("يجب أتدخل رقماً!!"); return}; /* for more than 255*/  if (brt>255){alert("الرقم الذي أدخلته أكبر من 255!!"); return}
	//spd # For more details open MYCODES.JS....
	var spd = window.prompt("أدخل الفتره الزمنيه بين تنقل الألوان من 0-1000\n كل ماكان الرقم أقل كلما كان اسرع","50");
		if (!spd){return}; /* for num*/ if (isNaN(spd)){alert("يجب أتدخل رقماً!!"); return}; /* for more than 1000*/  if (brt>spd){alert("كن واقعياً ولا تدخل أكبر من1000!!"); return}
	//hspd # For more details open MYCODES.JS....
	var hspd = window.prompt("كم درجه لونيه سوف تعرض بالفتره الزمنيه الواحده من 0-359\n إذا إقتربت من 180 كان أسرع","18");
		if (!hspd){return}; /* for num*/ if (isNaN(hspd)){alert("يجب أتدخل رقماً!!"); return}; /* for more than 359*/  if (hspd>359){alert("كن واقعياً ولا تدخل أكبر من359!!"); return}

    Editor_addCode("[rainbow=" + hue + "," + deg + "," + brt + "," + spd + "," + hspd + "]" , "[/rainbow]", 1);
	
  }
	else if (tag == "link") {
    var oSelText = Editor_getSelText();
    var ob = window.prompt("أدخل رابط :","http://phpbbarabia.com");
    if (!ob) return;
				if (oSelText) { Editor_addCode( "[url="+ob+"]","[/url]", 0); }
                else if (!oSelText){
				txt = window.prompt("أدخل التعليق على الرابط \n إتركه فارغ  لرابط بلا تعليق","");
                if (txt){ Editor_addCode("[url="+ob+"]"+txt,"[/url]", 0); }
				else{
				Editor_addCode( "[url]"+ob,"[/url]", 0); 
				}
				}
  }
	else if (tag == "email") {
        var oSelText = Editor_getSelText();
		var ob = window.prompt("أدخل البريد :","@");
		if (!ob) return;
				if (oSelText) { Editor_addCode( "[email="+ob+"]","[/email]", 0); }
                else if (!oSelText){
				txt = window.prompt("أدخل مُسمى البريد (إختياري):","");
                if (txt){ Editor_addCode("[email="+ob+"]"+txt,"[/email]", 0); }
				else{
				Editor_addCode( "[email]"+ob,"[/email]", 0); 
				}
				}

  }
    else if (tag == "image") {
        var oSelText = Editor_getSelText();
		if (oSelText !="")
		{
		Editor_addCode("[img]","[/img]", 0);
		}
		else
		{
		var ob = window.prompt("أدخل رابط الصورة:","http://");
		if (!ob) return;
		Editor_addCode("[img]"+ob,"[/img]", 0);
		}
  }
    else if (tag == "zoom") {
        var oSelText = Editor_getSelText();
		var num = window.prompt("أدخل زووم التكبير بالنسبه المؤيه بلا علامة النسبه المؤيه \n ولا تقم بإدخال رقم كبير حتى لايؤثر على الصفحه:","150");
		if( isNaN(num) ){alert("القيمه التي أدخلتها ليست رقماً"); return; }
		if( num>500 ){alert("لقد قمت بإدخال زووم كبير جداً"); return; }
		if (oSelText !="")
		{
		Editor_addCode("[zoom="+num+"]","[/zoom]", 0);
		}
		else
		{
		var ob = window.prompt("أدخل رابط الصورة:","http://");
		if (!ob) return;
		Editor_addCode("[zoom="+num+"]"+ob,"[/zoom]", 0);
		}
  }
    else if (tag == "bigimg") {
        var oSelText = Editor_getSelText();
		if (oSelText !="")
		{
		Editor_addCode("[bigimg]","[/bigimg]", 0);
		}
		else
		{
		var ob = window.prompt("أدخل رابط الصورة:","http://");
		if (!ob) return;
		Editor_addCode("[bigimg]"+ob,"[/bigimg]", 0);
		}
  }
	else if (tag == "quote2") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
		var name = window.prompt("أدخل إسم المُقتبس منه :","الإسم");
		if (!name) return;
        Editor_addCode('[quote="' + name + '"]' , '[/quote]', 1);
  }  
  else if (tag == "mouseover") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
		var textf = window.prompt("أدخل النص الذي سوف يظهر عند الوقوف :","أي نص");
		if (!textf) return;
        Editor_addCode('[mouseover=' + textf + ']', '[/mouseover]', 1);

  } 
  else if (tag == "hiddenspoiler") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
		var textf = window.prompt("أدخل النص الظاهر الذي عند الظغط يظهر المخفي :","النص الظاهر");
		if (!textf) return;
        Editor_addCode('[hiddenspoiler=' + textf + ']', '[/hiddenspoiler]',1);
  } 
	else if (tag=="ascii") {
			return pop("Goldbox/form/ascii_form.htm", 'ascii_form',
                "width=520px, height=400px, location=1, status=1, scrollbars=0");
	}
	else if (tag=="chars") {
			return pop("Goldbox/form/chars.html", 'chars',
                "width=200px, height=270px, location=1, status=1, scrollbars=0");
	}
	else if (tag=="picsh") {
			//fix IE .. not Special Characters... Saanina:)
	if ((clientVer >= 4) && is_ie && is_win)
	{
			var temp = siteurl.replace('/' ,'00900');
			temp = temp.replace('.' ,'99099');
	}else{
	var temp = siteurl
	}
			return pop("Goldbox/form/picsh.html", temp,
                "width=450px, height=300px, location=1, status=1, scrollbars=0");
	}
	else if (tag=="alpha_filter") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
		return pop("Goldbox/form/alpha_filter.htm", 'alpha',
                "width=620px, height=400px, location=1, status=1, scrollbars=0");

	}
	else if (tag=="wave_filter") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
		return pop("Goldbox/form/wave_filter.htm", 'wave',
                "width=620px, height=400px, location=1, status=1, scrollbars=0");
	}
	else if (tag == "code_php") {
        var oSelText = Editor_getSelText();
		Editor_addCode("[code=php]"+oSelText,"[/code]",1);
  }
    else if (tag == "right" || tag == "left" || tag == "center" || tag == "justify") {
        var oSelText = Editor_getSelText();
		Editor_addCode("[align=" + tag + "]","[/align]",1);
  }
	else if (tag == "rplayer") {
        var oSelText = Editor_getSelText();
        var link=((oSelText=="")?"http://":oSelText);
		var ob = window.prompt("أدخل رابط ملف الرييل بلاير:", link);
		if (!ob) return;
        var t = window.prompt("صوت فقط = 0\r\nصورة = 1", 0);
        if (!t) return;
            if (t==0)
               Editor_addCode("[rams]"+ob,"[/rams]",0);
                else
               Editor_addCode("[ramv]"+ob,"[/ramv]",0);
  }
  else if (tag == "media") {
        var oSelText = Editor_getSelText();
        var link=((oSelText=="")?"http://":oSelText);
		var ob = window.prompt("أدخل ملف الصوت والصورة:", link);
		if (!ob) return;
		Editor_addCode("[media]"+ob,"[/media]",0);
  }
  else if (tag == "flash") {
		var oSelText = Editor_getSelText();
			if (!oSelText){
	        var ob = window.prompt("أدخل رابط ملف الفلاش:", "http://");
			if (!ob) return;
			}
		var w = window.prompt("أدخل طول شاشة الفلاش بوحدة البيكسل:","400");
		if (!w) return;
		var h = window.prompt("أدخل عرض شاشة الفلاش بوحدة البيكسل:","350");
		if (!h) return;
			if (oSelText){
	       Editor_addCode("[flash="+w+","+h+"]","[/flash]",1);
			}
			else{ Editor_addCode("[flash="+w+","+h+"]" + ob,"[/flash]",0);}
  }
    else if (tag == "youtube") {
        var oSelText = Editor_getSelText();
        var link=((oSelText=="")?"0000000000000":oSelText);
		var ob = window.prompt("أدخل كود ملف الفيديو من موقع يوتيوب\n  راح يكون الكود بآخر الرابط مثل : n_xMSTANLLM :", link);
		if (!ob) return;
	    Editor_addCode("[youtube]"+ob,"[/youtube]",0);
  } 
    else if (tag == "gvideo") {
        var oSelText = Editor_getSelText();
        var link=((oSelText=="")?"0000000000000":oSelText);
		var ob = window.prompt("أدخل كود ملف الفيديو من موقع قوقل\n  راح يكون الكود بآخر الرابط مثل : -6739710473912337648 :", link);
		if (!ob) return;
	    Editor_addCode("[gvideo]"+ob,"[/gvideo]", 0);
  }  
	else if (tag == "frame") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return;}
		return pop("Goldbox/form/frame_form.htm", 'frame',
                "width=450px, height=290px, location=1, status=1, scrollbars=0");
  }  
	else if (tag == "background") {
        var oSelText = Editor_getSelText();
        if (oSelText == "") {alert("يرجى تظليل النص أولا");return; }
		return pop("Goldbox/form/background_form.htm", 'background',
                "width=500px, height=350px, location=1, status=1, scrollbars=0");
  } 
  else if (tag == "time") {
        var oSelText = Editor_getSelText();
		var d = new Date()
		Editor_addCode(d.getHours() + ":" + d.getMinutes() + ":" + d.getSeconds(),'',0);
  } 
    else if (tag == "date") {
        var oSelText = Editor_getSelText();
		var d = new Date()
		Editor_addCode(d.getDate() + "/" + (d.getMonth() + 1) + "/" + d.getFullYear(),'',0);
  } 
  else if (tag == "plain") {
        var oSelText = Editor_getSelText();
		var theField = document.forms[form_name].elements[text_name];
		var scrollTop = theField.scrollTop;
		
          var temp;
          temp = oSelText.replace(/\[FLASH=([^\]]*)\]WIDTH=[0-9]{0,4} HEIGHT=[0-9]{0,4}\[\/FLASH\]/gi, '');
        //  temp = oSelText.replace(/\[VIDEO=([^\]]*)\]WIDTH=[0-9]{0,4} HEIGHT=[0-9]{0,4}\[\/VIDEO\]/gi, '');
		  temp = oSelText.replace(/\[[^\]]*\]/gi, '')
		  
	 if ((clientVer >= 4) && is_ie && is_win)
	{
		document.selection.createRange().text  = temp;
		if(scrollTop>-1) {theField.scrollTop = scrollTop;}
		theField.focus();
		oSelText = '';
		return;
   }
   else
   {	
		mozReplace(theField, temp );
		if(scrollTop>-1) {theField.scrollTop = scrollTop;}
		theField.focus();
		oSelText = '';
		return;
   }
   
  }
  else if (tag == "list") {
		var oSelText = Editor_getSelText();
        var ListType = window.prompt("أدخل نوع القائمه :\n واحد للقائمه العدديه . إثنين للقائمه الحرفيه . ثلاثة للقائمه المنقطه.", "3");
		if (!ListType) return;
		if (ListType !=1 & ListType != 2 & ListType != 3) return;
		var templist = '';
		      if (ListType == 1) {
			         var numberOFitems = window.prompt("أدخل عدد المحتويات التي تريدها بالقائمه", "");
					 if( isNaN(numberOFitems) ){alert("القيمه التي أدخلتها ليست رقماً"); return; }
					 if (!numberOFitems) return;
					
					templist ="[list=1]\n"
					//repeat 
					for (var x = 0; x < numberOFitems; x++)
					{
						var xx = x+1;
					    var item = window.prompt("أدخل العنصر"+ xx +" :","");
						if (!item) return;
					templist +="[*]"+item+"\n";
					}
					templist +="[/list]\n";
						
			  
			  } // ListType==1
		      if (ListType == 2) {
			         var numberOFitems = window.prompt("أدخل عدد المحتويات التي تريدها بالقائمه", "");
					 if (!numberOFitems) return;
					if( isNaN(numberOFitems) ){alert("القيمه التي أدخلتها ليست رقماً"); return; }

					templist ="[list=a]\n";
					//repeat 
					for (var x = 0; x < numberOFitems; x++)
					{
						var xx = x+1;
					    var item = window.prompt("أدخل العنصر"+ xx +" :","");
						if (!item) return;
					templist +="[*]"+item+"\n";
					}
					templist +="[/list]\n";
						
			  
			  } // ListType==2
			  if (ListType == 3) {
			         var numberOFitems = window.prompt("أدخل عدد المحتويات التي تريدها بالقائمه", "");
					 if (!numberOFitems) return;
					 if( isNaN(numberOFitems) ){alert("القيمه التي أدخلتها ليست رقماً"); return; }

					templist ="[list]\n";
					//repeat 
					for (var x = 0; x < numberOFitems; x++)
					{
						var xx = x+1;
					    var item = window.prompt("أدخل العنصر"+ xx +" :","");
						if (!item) return;
					templist +="[*]"+item+"\n";
					}
					
					templist +="[/list]\n";

			  } // ListType==1
			  
			  aaa(templist);
  } //end list
// idont konw why i hate all tables ...
	else if (tag == "mleft" || tag == "mright" || tag == "mup" || tag == "mdown"){
			var oSelText = Editor_getSelText();
			var temp = tag.replace('mleft','left').replace('mright','right').replace('mup','up').replace('mdown','down');
			Editor_addCode("[move=" + temp + "]","[/move]" ,1);
		}
	else if (tag == "blink" || tag == "wave" || tag == "glint" || tag == "inverseH" || tag == "inverseP" 
			|| tag == "nolinked" || tag == "s" || tag == "sub"|| tag == "sup" || tag == "google" || tag == "english" 
			|| tag == "ayna" || tag == "araby" || tag == "xray"|| tag == "code" || tag == "u" || tag == "wikipedia" 
			|| tag == "invert" || tag == "gray" || tag == "b" || tag == "i" || tag == "quote"||  tag == "spoiler" 
			) {
			
			Editor_addCode("[" + tag + "]","[/" + tag + "]" ,1);
	}
  else if (tag == "cut" || tag == "copy" || tag == "paste" || tag == "delete") {
  	if ((clientVer >= 4) && is_ie && is_win)
	{
          oSelText = Editor_getSelText();
          document.selection.createRange().execCommand(tag);
	}
	else
	{//does nont work with our king[  firefox ] ,,
	alert("هذ الخاصيه لا يدعمها متصفحك!!");
	}
	
  }
  else if (tag == "undo") {
        undo(document.forms[form_name].elements[text_name]);
  }
  else if (tag == "redo") {
        redo(document.forms[form_name].elements[text_name]);
  } 
  else if (tag == "blur") {
       Editor_addCode("[" + tag + "=2]","[/" + tag + "]" ,1);
  }
	else if (tag == "keyb") {
		var keyboardTable = document.getElementById('keyboardTable');
        if (keyboardTable.style.display == "none") {
                  keyboardTable.style.display = "inline";
        }
        else {keyboardTable.style.display = "none";}
  }
	else if (tag == "syahoo") {
		var yahooTable = document.getElementById('yahooTable');
		if (yahooTable.style.display == "none") {
              yahooTable.style.display = "inline";
			  }
          else {yahooTable.style.display = "none";}
  }
	else if (tag == "smsn") {
		var msnTable = document.getElementById('msnTable');
		if (msnTable.style.display == "none") {
                  msnTable.style.display = "inline";
		}
		else {msnTable.style.display = "none";}
  }
	else if (tag == "colorpicker") {
                  return pop("Goldbox/form/colors.html", "colorpicker",
                "width=180px, height=195px, location=1, status=1, scrollbars=0");
	} 
	else if (tag == "glow" || tag == "light" || tag == "color" || tag == "shadow") {
                var oSelText = Editor_getSelText();
                if (oSelText == "") {
                        alert("يرجى تظليل النص أولا");
                        return;
                }
                  return pop("Goldbox/form/colors.html", tag,
                "width=180px, height=195px, location=1, status=1, scrollbars=0");
  
  }
	else if (tag=="about") {
				return pop("Goldbox/form/about.html", 'about',
                "width=400px, height=450px, location=1, status=0, scrollbars=0");	
	}
}
